Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » TIMER » Functions

Initialization and de-initialization functions. More...

## Functions
hal_status_t | hal_timer_init (timer_handle_t *p_timer)
| Initialize the TIMER according to the specified parameters in the timer_init_t and initialize the associated handle. More...
hal_status_t | hal_timer_deinit (timer_handle_t *p_timer)
| De-initialize the TIMER peripheral. More...
void | hal_timer_msp_init (timer_handle_t *p_timer)
| Initialize the TIMER MSP. More...
void | hal_timer_msp_deinit (timer_handle_t *p_timer)
| De-initialize the TIMER MSP. More...
hal_status_t | hal_timer_start (timer_handle_t *p_timer)
| Starts the TIMER counter. More...
hal_status_t | hal_timer_stop (timer_handle_t *p_timer)
| Stops the TIMER counter. More...
hal_status_t | hal_timer_start_it (timer_handle_t *p_timer)
| Starts the TIMER counter in interrupt mode. More...
hal_status_t | hal_timer_stop_it (timer_handle_t *p_timer)
| Stops the TIMER counter in interrupt mode. More...

## Detailed Description

Initialization and de-initialization functions.

    ===============================================================================
                ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]
            This section provides functions allowing to:
            (+) Initialize and configure the TIMER.
            (+) De-initialize the TIMER.
            (+) Start the Timer.
            (+) Stop the Timer.
            (+) Start the Timer and enable interrupt.
            (+) Stop the Timer and disable interrupt.

## Function Documentation

## ◆ hal_timer_deinit()

hal_status_t hal_timer_deinit | ( | timer_handle_t * | p_timer | ) |

De-initialize the TIMER peripheral.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_timer_init()

hal_status_t hal_timer_init | ( | timer_handle_t * | p_timer | ) |

Initialize the TIMER according to the specified parameters in the timer_init_t and initialize the associated handle.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_timer_msp_deinit()

void hal_timer_msp_deinit | ( | timer_handle_t * | p_timer | ) |

De-initialize the TIMER MSP.

Note
  This function should not be modified. When the callback is needed, the hal_timer_base_msp_deinit could be implemented in the user file.

Parameters

  [in] | p_timer | Pointer to a TIM handle which contains the configuration information for the specified TIMER module.

## ◆ hal_timer_msp_init()

void hal_timer_msp_init | ( | timer_handle_t * | p_timer | ) |

Initialize the TIMER MSP.

Note
  This function should not be modified. When the callback is needed, the hal_timer_base_msp_init could be implemented in the user file.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

## ◆ hal_timer_start()

hal_status_t hal_timer_start | ( | timer_handle_t * | p_timer | ) |

Starts the TIMER counter.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_timer_start_it()

hal_status_t hal_timer_start_it | ( | timer_handle_t * | p_timer | ) |

Starts the TIMER counter in interrupt mode.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_timer_stop()

hal_status_t hal_timer_stop | ( | timer_handle_t * | p_timer | ) |

Stops the TIMER counter.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_timer_stop_it()

hal_status_t hal_timer_stop_it | ( | timer_handle_t * | p_timer | ) |

Stops the TIMER counter in interrupt mode.

Parameters

  [in] | p_timer | Pointer to a TIMER handle which contains the configuration information for the specified TIMER module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.